# &kde;-gebruikershandleiding

Darian
Lanx

    content@openprojects.net

2010-01-04
1.1 (&kde; 4.4)
kbuildsycoca4
8

# `kbuildsycoca4`

Maakt een nieuwe systeemconfiguratiecache aan.

## Samenvatting

    kbuildsycoca4  --nosignal --noincremental --checkstamps --nocheckfiles --global --menutest --track menu-id --help --help-qt --help-kde --help-all --author -v, --version --license

## Beschrijving

`kbuildsycoca4`, is onderdeel van de &kde;-commandoregelhulpmiddelen en verzekert het juist werken van &kde; door alle `.desktop`, `.xml`, en `.protocol` bestanden te lezen om een binaire database te maken.

&kde; zelf gebruikt deze database bij het werk om configuratie-informatie te leveren die een programma nodig heeft om te draaien.

Dit hulpmiddel is onderdeel van ksycoca4, wat staat voor &kde; System Configuration Cache

## Opties

`--nosignal`

  Geen signaal voor bijwerking naar toepassingen sturen

`--noincremental`

  Schakel incrementele bijwerking uit en herlees alles

`--checkstamps`

  Tijdaanduidingen van bestanden controleren

`--nocheckfiles`

  Controleren van bestanden uitschakelen (gevaarlijk)

`--global`

  Globale database aanmaken

`--menutest`

  Alleen het testen van menugeneratie uitvoeren

`--track menu-id`

  Menu-id registreren voor debugdoeleinden

`--help`

  Hulp over de opties tonen

`--help-qt`

  Qt-specifieke opties tonen

`--help-kde`

  KDE-specifieke opties tonen.

`--help-all`

  Alle opties tonen

`--author`

  Auteurinformatie tonen

`-v , --version`

  Versie-informatie tonen

`--license`

  Licentie-informatie tonen

## Gebruik

Een standaard manier om dit programma uit te voeren is door eenvoudig het volgende commando ``kbuildsycoca4`` te specificeren

## Bestanden

`/var/tmp/kde-$USER/ksycoca4`

  De standard map waar de cache-bestanden zijn opgeslagen.

## Omgevingsvariabelen

$`KDEDIRS`

  Specificeert welke mappen onderdeel zijn van de KDE-installatie

## Zie ook

kdeinit4

## Fouten/bugs

Er zijn waarschijnlijk vele bugs. Gebruik bugs.kde.org om ze te rapporteren.